Package de.willuhn.jameica.hbci.passports.ddv.server

# Class ChipDriveMicroReader

java.lang.Object
de.willuhn.jameica.hbci.passports.ddv.server.AbstractReader
de.willuhn.jameica.hbci.passports.ddv.server.ChipDriveMicroReader

All Implemented Interfaces:
  `Reader`

public class ChipDriveMicroReader extends AbstractReader
Implementierung fuer die Default-Einstellungen des "Chipdrive Micro" von Towitoko/SCM/Chipdrive.

## Nested Class Summary

## Nested classes/interfaces inherited from interface de.willuhn.jameica.hbci.passports.ddv.rmi.Reader

`Reader.Type`

## Constructor Summary

Constructors
Constructor
Description
`ChipDriveMicroReader()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getCTAPIDriver()`
Liefert Pfad und Dateiname des CTAPI-Treibers.
`String`
`getName()`
Liefert den Namen des Chipkartenlesers.
`String`
`getPort()`
Liefert einen vordefinierten Port.
`boolean`
`isSupported()`
Prueft, ob dieser Leser von der aktuellen System-Umgebung unterstuetzt wird.
`boolean`
`useSoftPin()`
Liefert true, wenn die Tastatur des PCs zur Eingabe der PIN verwendet werden soll.

### Methods inherited from class de.willuhn.jameica.hbci.passports.ddv.server.AbstractReader

`equals, getCTNumber, getDefaultHBCIVersion, getType, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChipDriveMicroReader

public ChipDriveMicroReader()

## Method Details

### getName

public String getName()
Description copied from interface: `Reader`
Liefert den Namen des Chipkartenlesers.

Returns:
  Name des Lesers.
See Also:
  - `Reader.getName()`

### getCTAPIDriver

public String getCTAPIDriver()
Description copied from interface: `Reader`
Liefert Pfad und Dateiname des CTAPI-Treibers.

Returns:
  Pfad und Dateiname des CTAPI-Treibers.
See Also:
  - `Reader.getCTAPIDriver()`

### isSupported

public boolean isSupported()
Description copied from interface: `Reader`
Prueft, ob dieser Leser von der aktuellen System-Umgebung unterstuetzt wird.

Returns:
  `true`, wenn er unterstuetzt wird.
See Also:
  - `Reader.isSupported()`

### useSoftPin

public boolean useSoftPin()
Description copied from interface: `Reader`
Liefert true, wenn die Tastatur des PCs zur Eingabe der PIN verwendet werden soll.

Specified by:
  `useSoftPin` in interface `Reader`
Overrides:
  `useSoftPin` in class `AbstractReader`
Returns:
  `true` wenn die Tastatur des PCs zur Eingabe der PIN verwendet werden soll.
See Also:
  - `Reader.useSoftPin()`

### getPort

public String getPort()
Description copied from interface: `Reader`
Liefert einen vordefinierten Port.

Specified by:
  `getPort` in interface `Reader`
Overrides:
  `getPort` in class `AbstractReader`
Returns:
  Port.
See Also:
  - `AbstractReader.getPort()`